Commit fd3a6832 authored by Dominique Marcadet's avatar Dominique Marcadet

update all pom files

parent cb2fd11c
......@@ -13,7 +13,7 @@
<parent>
<groupId>fr.centralesupelec.edf.riseclipse</groupId>
<artifactId>fr.centralesupelec.edf.riseclipse.developer.maven</artifactId>
<version>1.0.3-SNAPSHOT</version>
<version>1.0.5-SNAPSHOT</version>
<relativePath>../fr.centralesupelec.edf.riseclipse.developer.maven/pom.xml</relativePath>
</parent>
......
......@@ -13,11 +13,9 @@
<parent>
<groupId>fr.centralesupelec.edf.riseclipse</groupId>
<artifactId>RiseClipseDeveloper</artifactId>
<version>1.0.2-SNAPSHOT</version>
<version>1.0.5-SNAPSHOT</version>
</parent>
<!-- It should be specified in pom-root, but then Maven fails to find dependencies ??
-->
<build>
<plugins>
<plugin>
......@@ -25,27 +23,28 @@
<artifactId>target-platform-configuration</artifactId>
<version>${tycho-version}</version>
<configuration>
<!-- This needed parameter seems to be ignored if put in the pom root file -->
<pomDependencies>consider</pomDependencies>
</configuration>
</plugin>
</plugins>
</build>
<!-- RiseClipse needed plugins
See https://wiki.eclipse.org/Tycho/Target_Platform "POM dependencies consider"
However, only editor is required, not main !
-->
<!-- RiseClipse plugins needed -->
<dependencies>
<dependency>
<groupId>fr.centralesupelec.edf.riseclipse</groupId>
<artifactId>fr.centralesupelec.edf.riseclipse.main</artifactId>
<version>1.0.0</version>
<artifactId>fr.centralesupelec.edf.riseclipse.feature.editor</artifactId>
<version>1.0.0-SNAPSHOT</version>
</dependency>
<dependency>
<groupId>fr.centralesupelec.edf.riseclipse</groupId>
<artifactId>fr.centralesupelec.edf.riseclipse.editor</artifactId>
<version>1.0.0</version>
<artifactId>fr.centralesupelec.edf.riseclipse.feature.iec61850.scl</artifactId>
<version>1.0.0-SNAPSHOT</version>
</dependency>
</dependencies>
</project>
......@@ -13,7 +13,7 @@
<parent>
<groupId>fr.centralesupelec.edf.riseclipse</groupId>
<artifactId>RiseClipseDeveloper</artifactId>
<version>1.0.4</version>
<version>1.0.5-SNAPSHOT</version>
</parent>
<build>
......
......@@ -13,11 +13,9 @@
<parent>
<groupId>fr.centralesupelec.edf.riseclipse</groupId>
<artifactId>RiseClipseDeveloper</artifactId>
<version>1.0.2-SNAPSHOT</version>
<version>1.0.5-SNAPSHOT</version>
</parent>
<!-- It should be specified in pom-root, but then Maven fails to find dependencied ??
-->
<build>
<plugins>
<plugin>
......@@ -25,22 +23,34 @@
<artifactId>target-platform-configuration</artifactId>
<version>${tycho-version}</version>
<configuration>
<!-- This needed parameter seems to be ignored if put in the pom root file -->
<pomDependencies>consider</pomDependencies>
</configuration>
</plugin>
</plugins>
</build>
<!-- RiseClipse needed plugins
See https://wiki.eclipse.org/Tycho/Target_Platform "POM dependencies consider"
However, only editor is required, not main, nor scl !
-->
<!-- RiseClipse plugins needed -->
<dependencies>
<dependency>
<groupId>fr.centralesupelec.edf.riseclipse</groupId>
<artifactId>fr.centralesupelec.edf.riseclipse.main</artifactId>
<version>1.0.1</version>
</dependency>
<dependency>
<groupId>fr.centralesupelec.edf.riseclipse</groupId>
<artifactId>fr.centralesupelec.edf.riseclipse.iec61850.scl</artifactId>
<version>1.0.1</version>
</dependency>
<dependency>
<groupId>fr.centralesupelec.edf.riseclipse</groupId>
<artifactId>fr.centralesupelec.edf.riseclipse.editor</artifactId>
<version>1.0.0</version>
<artifactId>fr.centralesupelec.edf.riseclipse.iec61850.scl.edit</artifactId>
<version>1.0.1</version>
</dependency>
</dependencies>
</project>
......@@ -13,11 +13,9 @@
<parent>
<groupId>fr.centralesupelec.edf.riseclipse</groupId>
<artifactId>RiseClipseDeveloper</artifactId>
<version>1.0.2-SNAPSHOT</version>
<version>1.0.5-SNAPSHOT</version>
</parent>
<!-- It should be specified in pom-root, but then Maven fails to find dependencies ??
-->
<build>
<plugins>
<plugin>
......@@ -25,22 +23,22 @@
<artifactId>target-platform-configuration</artifactId>
<version>${tycho-version}</version>
<configuration>
<!-- This needed parameter seems to be ignored if put in the pom root file -->
<pomDependencies>consider</pomDependencies>
</configuration>
</plugin>
</plugins>
</build>
<!-- RiseClipse needed plugins
See https://wiki.eclipse.org/Tycho/Target_Platform "POM dependencies consider"
However, only editor is required, not main !
-->
<!-- RiseClipse plugins needed -->
<dependencies>
<dependency>
<groupId>fr.centralesupelec.edf.riseclipse</groupId>
<artifactId>fr.centralesupelec.edf.riseclipse.editor</artifactId>
<version>1.0.0</version>
<artifactId>fr.centralesupelec.edf.riseclipse.feature.all</artifactId>
<version>1.0.0-SNAPSHOT</version>
</dependency>
</dependencies>
</project>
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment